# -*- coding: utf-8 -*-
"""Akanthophis common functions"""
from PyQt4.QtCore import QString, QDate, QChar

def makeLeadingZerosString(current,digits):
  current = str(current)
  currentLength= len(current)
  zeros = ""
  while currentLength < digits:
    if len(current) < digits:
      zeros = zeros + "0"
      currentLength += 1
  return zeros
      
def makeRedundantZerosString(digits):
  zeros = QString().fill(QChar('0'),digits)
  return zeros

def processFormatString(formatString, date):
    dateString = str(formatString)
    dateString = dateString.replace("{dddd}",str(QDate.longDayName(date.dayOfWeek())))
    dateString = dateString.replace("{ddd}",str(QDate.shortDayName(date.dayOfWeek())))
    if date.day() < 10:
      dateString = dateString.replace("{dd}",("0" + str(date.day())))
    else:
      dateString = dateString.replace("{dd}",str(date.day()))
    dateString = dateString.replace("{d}",str(date.day()))
    dateString = dateString.replace("{mmmm}",str(QDate.longMonthName(date.month())))
    dateString = dateString.replace("{mmm}",str(QDate.shortMonthName(date.month())))
    if date.month() < 10:
      dateString = dateString.replace("{mm}","0" + str(date.month()))
    else:
      dateString = dateString.replace("{mm}","0" + str(date.month()))
    dateString = dateString.replace("{m}",str(date.month()))
    dateString = dateString.replace("{yyyy}",str(date.year()))
    dateString = dateString.replace("{yy}",str(date.year())[2:])
    #Finished, return it
    return dateString
